/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * ソースコード自動生成ライブラリ blancoCg のPOJOクラスです。
 */
package blanco.cg.valueobject;

/**
 * メソッド内の行を表現するためのバリューオブジェクト。<br>
 * ※ポイント：文字列のエスケープ処理は、blancoCgに与える前に実施されている必要があります。<br>
 * ※ポイント：BlancoCgLine以外に java.lang.Stringで行を与えることも可能です。
 */
public class BlancoCgLine {
    /**
     * フィールド [value]
     *
     * 項目の型 [java.lang.String]<br>
     * この行の内容そのものです。<br>
     * ソースコードとして展開しても差し支えないエスケープ後の行イメージをセットします。
     */
    private String fValue;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * この行の説明です。記載内容はコメントに展開されます。
     */
    private String fDescription;

    /**
     * フィールド [value]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この行の内容そのものです。<br>
     * ソースコードとして展開しても差し支えないエスケープ後の行イメージをセットします。
     *
     * @param argValue フィールド[value]に格納したい値
     */
    public void setValue(final String argValue) {
        fValue = argValue;
    }

    /**
     * フィールド[value]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この行の内容そのものです。<br>
     * ソースコードとして展開しても差し支えないエスケープ後の行イメージをセットします。
     *
     * @return フィールド[value]に格納されている値
     */
    public String getValue() {
        return fValue;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この行の説明です。記載内容はコメントに展開されます。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * この行の説明です。記載内容はコメントに展開されます。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.cg.valueobject.BlancoCgLine[");
        buf.append("value=" + fValue);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
